Appointments
GET /appointments/{appointmentId}/slots
Get available appointment slots
GET
/
appointments
/
{appointmentId}
/
slots
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/appointments/{appointmentId}/slotsconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/appointments/{appointmentId}/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/appointments/{appointmentId}/slots"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/appointments/{appointmentId}/slots"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"slots": [
{
"available": 123,
"capacity": 123,
"endTime": "<string>",
"id": "<string>",
"startTime": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"timezone": "<string>"
}
]
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/appointments/{appointmentId}/slotsconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/appointments/{appointmentId}/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/appointments/{appointmentId}/slots"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/appointments/{appointmentId}/slots"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"slots": [
{
"available": 123,
"capacity": 123,
"endTime": "<string>",
"id": "<string>",
"startTime": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"timezone": "<string>"
}
]
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}